aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitignore4
-rwxr-xr-xbuild-aux/build-windows.sh54
-rw-r--r--configure.ac2
-rw-r--r--man/blogc-source.7.ronn6
4 files changed, 62 insertions, 4 deletions
diff --git a/.gitignore b/.gitignore
index 1626007..65e51f1 100644
--- a/.gitignore
+++ b/.gitignore
@@ -32,6 +32,7 @@ Makefile.in
/stamp-h1
.dirstamp
/build-aux/*
+!/build-aux/build-windows.sh
# installed .m4 files
/m4/*.m4
@@ -57,3 +58,6 @@ blogc*.html
# tarballs
blogc-*.tar.*
blogc-*.zip
+
+# rpms
+blogc-*.rpm
diff --git a/build-aux/build-windows.sh b/build-aux/build-windows.sh
new file mode 100755
index 0000000..267a8aa
--- /dev/null
+++ b/build-aux/build-windows.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+# This script builds windows binaries, given a source tarball.
+# It was designed to work on Fedora, and requires the following packages:
+#
+# mingw32-gcc mingw64-gcc zip
+#
+# This script must be called with the xz source tarball as argument.
+
+
+set -ex
+
+[[ $# -eq 1 ]]
+
+
+get_version() {
+ local a=$(basename "${1}")
+ a="${a%.tar.xz}"
+ echo "${a#blogc-}"
+}
+
+
+build() {
+ local version=$(get_version "${1}")
+ local arch=${2}
+ local build_dir="/tmp/blogc_build_${version}_${arch}"
+ local dest_dir="/tmp/blogc-${version}-w${arch}"
+
+ rm -rf "${build_dir}"
+ mkdir -p "${build_dir}"
+ tar -xvf "${1}" -C "${build_dir}"
+
+ pushd "${build_dir}/blogc-${version}" &> /dev/null
+ "mingw${arch}-configure"
+ make
+ popd &> /dev/null
+
+ rm -rf "${dest_dir}"
+ mkdir -p "${dest_dir}"
+ cp "${build_dir}/blogc-${version}/.libs/blogc.exe" "${dest_dir}/"
+ cp "${build_dir}/blogc-${version}/LICENSE" "${dest_dir}/"
+ cp "${build_dir}/blogc-${version}/README.md" "${dest_dir}/"
+
+ pushd "$(dirname ${dest_dir})" &> /dev/null
+ zip "$(basename ${dest_dir}).zip" "$(basename ${dest_dir})"/*
+ popd &> /dev/null
+
+ mv "${dest_dir}.zip" .
+}
+
+
+for arch in 32 64; do
+ build "$1" "${arch}"
+done
diff --git a/configure.ac b/configure.ac
index 2c78efc..4a5c4a7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,6 +1,6 @@
AC_PREREQ([2.69])
-AC_INIT([blogc], [0.4], [https://github.com/blogc/blogc], [blogc], [http://blogc.org])
+AC_INIT([blogc], [0.5], [https://github.com/blogc/blogc], [blogc], [https://blogc.rgm.io])
AC_CONFIG_AUX_DIR([build-aux])
AC_CONFIG_MACRO_DIR([m4])
diff --git a/man/blogc-source.7.ronn b/man/blogc-source.7.ronn
index b37d5cc..7fa0796 100644
--- a/man/blogc-source.7.ronn
+++ b/man/blogc-source.7.ronn
@@ -207,19 +207,19 @@ Images are defined using the following syntax:
Links are defined using the following syntax:
- To learn more about blogc, [click here](http://blogc.org).
+ To learn more about blogc, [click here](https://blogc.rgm.io).
### Image Links
Links can be combined with images:
- [![This is the image alt text](picture.jpg)](http://blogc.org)
+ [![This is the image alt text](picture.jpg)](https://blogc.rgm.io)
### Automatic Links
Automatic link is defined with 2 '[' before and 2 ']' after the URL.
- To learn more about blogc, visit [[http://blogc.org]].
+ To learn more about blogc, visit [[https://blogc.rgm.io]].
### Line break